package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;
import com.pesets.resources.ResourceManager;

public class SkillRefresh extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		for (Skill s : player.getSkills())
		{
			s.coldown = 0;
		}
		ResourceManager.getInstance().playSound("twinkle.mp3");
	}

	@Override
	public String getName() {
		return "Refresh";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Cast;
	}

	@Override
	public int getIcon() {
		return 17;
	}

	@Override
	public float getMaxColdown() {
		return 55f - getLevel() * 5f;
	}
	
	@Override
	public String getDescription() {
		return "Resets all coldowns except its own\nColdown: (55 - 5 * level) sec";
	}

}
